Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class AlternativeLobTypes.ClobTypes<S,T extends LobType<S>>

    java.lang.Object
      org.hibernate.type.AlternativeLobTypes<S,T>
          org.hibernate.type.AlternativeLobTypes.ClobTypes<S,T>

All Implemented Interfaces:
  Serializable

Enclosing class:
  AlternativeLobTypes<S,T extends LobType<S>>

    public static class AlternativeLobTypes.ClobTypes<S,T extends LobType<S>>

extends AlternativeLobTypes<S,T>

Provides alternative types for binding `CLOB` values.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.type.AlternativeLobTypes
`AlternativeLobTypes.BlobTypes<S,T extends LobType<S>>, AlternativeLobTypes.ClobTypes<S,T extends LobType<S>>`

Method Summary

Methods inherited from class org.hibernate.type.AlternativeLobTypes
`createLobType, getConstructor, getDefaultType, getLobBindingType, getStreamBindingType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.